// python wrapper for vtkSMColorMapEditorHelper
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkSMColorMapEditorHelper.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkSMColorMapEditorHelper(PyObject *dict); }

static PyObject *
PyvtkSMColorMapEditorHelper_GetLUTProxy(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetLUTProxy");

  vtkSMProxy *temp0 = nullptr;
  vtkSMProxy *temp1 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetVTKObject(temp1, "vtkSMProxy"))
  {
    vtkSMProxy *tempr = vtkSMColorMapEditorHelper::GetLUTProxy(temp0, temp1);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkSMColorMapEditorHelper_GetUsingScalarColoring(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetUsingScalarColoring");

  vtkSMProxy *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
  {
    bool tempr = vtkSMColorMapEditorHelper::GetUsingScalarColoring(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkSMColorMapEditorHelper_SetupLookupTable(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SetupLookupTable");

  vtkSMProxy *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
  {
    vtkSMColorMapEditorHelper::SetupLookupTable(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkSMColorMapEditorHelper_UpdateScalarBarRange(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "UpdateScalarBarRange");

  vtkSMProxy *temp0 = nullptr;
  vtkSMProxy *temp1 = nullptr;
  bool temp2 = false;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetVTKObject(temp1, "vtkSMProxy") &&
      ap.GetValue(temp2))
  {
    bool tempr = vtkSMColorMapEditorHelper::UpdateScalarBarRange(temp0, temp1, temp2);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkSMColorMapEditorHelper_SetScalarColoring_s1(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SetScalarColoring");

  vtkSMProxy *temp0 = nullptr;
  const char *temp1 = nullptr;
  int temp2;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
  {
    bool tempr = vtkSMColorMapEditorHelper::SetScalarColoring(temp0, temp1, temp2);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyObject *
PyvtkSMColorMapEditorHelper_SetScalarColoring_s2(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SetScalarColoring");

  vtkSMProxy *temp0 = nullptr;
  const char *temp1 = nullptr;
  int temp2;
  int temp3;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(4) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
  {
    bool tempr = vtkSMColorMapEditorHelper::SetScalarColoring(temp0, temp1, temp2, temp3);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyObject *
PyvtkSMColorMapEditorHelper_SetScalarColoring(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(args);

  switch(nargs)
  {
    case 3:
      return PyvtkSMColorMapEditorHelper_SetScalarColoring_s1(self, args);
    case 4:
      return PyvtkSMColorMapEditorHelper_SetScalarColoring_s2(self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "SetScalarColoring");
  return nullptr;
}


static PyObject *
PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToDataRange_s1(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "RescaleTransferFunctionToDataRange");

  vtkSMProxy *temp0 = nullptr;
  bool temp1 = false;
  bool temp2 = true;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1, 3) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      (ap.NoArgsLeft() || ap.GetValue(temp1)) &&
      (ap.NoArgsLeft() || ap.GetValue(temp2)))
  {
    bool tempr = vtkSMColorMapEditorHelper::RescaleTransferFunctionToDataRange(temp0, temp1, temp2);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyObject *
PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToDataRange_s2(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "RescaleTransferFunctionToDataRange");

  vtkSMProxy *temp0 = nullptr;
  const char *temp1 = nullptr;
  int temp2;
  bool temp3 = false;
  bool temp4 = true;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(3, 5) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      (ap.NoArgsLeft() || ap.GetValue(temp3)) &&
      (ap.NoArgsLeft() || ap.GetValue(temp4)))
  {
    bool tempr = vtkSMColorMapEditorHelper::RescaleTransferFunctionToDataRange(temp0, temp1, temp2, temp3, temp4);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToDataRange_Methods[] = {
  {"RescaleTransferFunctionToDataRange", PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToDataRange_s1, METH_VARARGS | METH_STATIC,
   "V|qq *vtkSMProxy"},
  {"RescaleTransferFunctionToDataRange", PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToDataRange_s2, METH_VARARGS | METH_STATIC,
   "Vzi|qq *vtkSMProxy"},
  {nullptr, nullptr, 0, nullptr}
};

static PyObject *
PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToDataRange(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToDataRange_Methods;
  int nargs = vtkPythonArgs::GetArgCount(args);

  switch(nargs)
  {
    case 1:
    case 2:
      return PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToDataRange_s1(self, args);
    case 4:
    case 5:
      return PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToDataRange_s2(self, args);
    case 3:
      return vtkPythonOverload::CallMethod(methods, self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "RescaleTransferFunctionToDataRange");
  return nullptr;
}


static PyObject *
PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToDataRangeOverTime_s1(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "RescaleTransferFunctionToDataRangeOverTime");

  vtkSMProxy *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkSMProxy"))
  {
    bool tempr = vtkSMColorMapEditorHelper::RescaleTransferFunctionToDataRangeOverTime(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyObject *
PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToDataRangeOverTime_s2(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "RescaleTransferFunctionToDataRangeOverTime");

  vtkSMProxy *temp0 = nullptr;
  const char *temp1 = nullptr;
  int temp2;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
  {
    bool tempr = vtkSMColorMapEditorHelper::RescaleTransferFunctionToDataRangeOverTime(temp0, temp1, temp2);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyObject *
PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToDataRangeOverTime(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(args);

  switch(nargs)
  {
    case 1:
      return PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToDataRangeOverTime_s1(self, args);
    case 3:
      return PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToDataRangeOverTime_s2(self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "RescaleTransferFunctionToDataRangeOverTime");
  return nullptr;
}


static PyObject *
PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToVisibleRange_s1(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "RescaleTransferFunctionToVisibleRange");

  vtkSMProxy *temp0 = nullptr;
  vtkSMProxy *temp1 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetVTKObject(temp1, "vtkSMProxy"))
  {
    bool tempr = vtkSMColorMapEditorHelper::RescaleTransferFunctionToVisibleRange(temp0, temp1);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyObject *
PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToVisibleRange_s2(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "RescaleTransferFunctionToVisibleRange");

  vtkSMProxy *temp0 = nullptr;
  vtkSMProxy *temp1 = nullptr;
  const char *temp2 = nullptr;
  int temp3;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(4) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetVTKObject(temp1, "vtkSMProxy") &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
  {
    bool tempr = vtkSMColorMapEditorHelper::RescaleTransferFunctionToVisibleRange(temp0, temp1, temp2, temp3);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyObject *
PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToVisibleRange(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(args);

  switch(nargs)
  {
    case 2:
      return PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToVisibleRange_s1(self, args);
    case 4:
      return PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToVisibleRange_s2(self, args);
  }

  vtkPythonArgs::ArgCountError(nargs, "RescaleTransferFunctionToVisibleRange");
  return nullptr;
}


static PyObject *
PyvtkSMColorMapEditorHelper_SetScalarBarVisibility(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SetScalarBarVisibility");

  vtkSMProxy *temp0 = nullptr;
  vtkSMProxy *temp1 = nullptr;
  bool temp2 = false;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetVTKObject(temp1, "vtkSMProxy") &&
      ap.GetValue(temp2))
  {
    bool tempr = vtkSMColorMapEditorHelper::SetScalarBarVisibility(temp0, temp1, temp2);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkSMColorMapEditorHelper_HideScalarBarIfNotNeeded(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "HideScalarBarIfNotNeeded");

  vtkSMProxy *temp0 = nullptr;
  vtkSMProxy *temp1 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetVTKObject(temp1, "vtkSMProxy"))
  {
    bool tempr = vtkSMColorMapEditorHelper::HideScalarBarIfNotNeeded(temp0, temp1);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkSMColorMapEditorHelper_IsScalarBarVisible(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "IsScalarBarVisible");

  vtkSMProxy *temp0 = nullptr;
  vtkSMProxy *temp1 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetVTKObject(temp1, "vtkSMProxy"))
  {
    bool tempr = vtkSMColorMapEditorHelper::IsScalarBarVisible(temp0, temp1);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkSMColorMapEditorHelper_GetArrayInformationForColorArray(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetArrayInformationForColorArray");

  vtkSMProxy *temp0 = nullptr;
  bool temp1 = true;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1, 2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      (ap.NoArgsLeft() || ap.GetValue(temp1)))
  {
    vtkPVArrayInformation *tempr = vtkSMColorMapEditorHelper::GetArrayInformationForColorArray(temp0, temp1);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkSMColorMapEditorHelper_GetDecoratedArrayName(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetDecoratedArrayName");

  vtkSMProxy *temp0 = nullptr;
  std::string temp1;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetValue(temp1))
  {
    std::string tempr = vtkSMColorMapEditorHelper::GetDecoratedArrayName(temp0, temp1);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkSMColorMapEditorHelper_GetProminentValuesInformationForColorArray(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetProminentValuesInformationForColorArray");

  vtkSMProxy *temp0 = nullptr;
  double temp1 = 1e-6;
  double temp2 = 1e-3;
  bool temp3 = false;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1, 4) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      (ap.NoArgsLeft() || ap.GetValue(temp1)) &&
      (ap.NoArgsLeft() || ap.GetValue(temp2)) &&
      (ap.NoArgsLeft() || ap.GetValue(temp3)))
  {
    vtkPVProminentValuesInformation *tempr = vtkSMColorMapEditorHelper::GetProminentValuesInformationForColorArray(temp0, temp1, temp2, temp3);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkSMColorMapEditorHelper_GetEstimatedNumberOfAnnotationsOnScalarBar(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetEstimatedNumberOfAnnotationsOnScalarBar");

  vtkSMProxy *temp0 = nullptr;
  vtkSMProxy *temp1 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetVTKObject(temp1, "vtkSMProxy"))
  {
    int tempr = vtkSMColorMapEditorHelper::GetEstimatedNumberOfAnnotationsOnScalarBar(temp0, temp1);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkSMColorMapEditorHelper_IsScalarBarStickyVisible(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "IsScalarBarStickyVisible");

  vtkSMProxy *temp0 = nullptr;
  vtkSMProxy *temp1 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkSMProxy") &&
      ap.GetVTKObject(temp1, "vtkSMProxy"))
  {
    int tempr = vtkSMColorMapEditorHelper::IsScalarBarStickyVisible(temp0, temp1);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkSMColorMapEditorHelper_Methods[] = {
  {"GetLUTProxy", PyvtkSMColorMapEditorHelper_GetLUTProxy, METH_VARARGS,
   "GetLUTProxy(proxy:vtkSMProxy, view:vtkSMProxy) -> vtkSMProxy\nC++: static vtkSMProxy *GetLUTProxy(vtkSMProxy *proxy,\n    vtkSMProxy *view)\n\nReturns the lut proxy of this representation in the given view.\nThis method will return `nullptr` if no lut proxy exists in this\nview.\n"},
  {"GetUsingScalarColoring", PyvtkSMColorMapEditorHelper_GetUsingScalarColoring, METH_VARARGS,
   "GetUsingScalarColoring(proxy:vtkSMProxy) -> bool\nC++: static bool GetUsingScalarColoring(vtkSMProxy *proxy)\n\nReturns true if scalar coloring is enabled. This checks whether a\nproperty named \"ColorArrayName\" exists and has a non-empty\nstring. This does not check for the validity of the array.\n"},
  {"SetupLookupTable", PyvtkSMColorMapEditorHelper_SetupLookupTable, METH_VARARGS,
   "SetupLookupTable(proxy:vtkSMProxy) -> None\nC++: static void SetupLookupTable(vtkSMProxy *proxy)\n\nGiven the input registered representation `proxy`, sets up a\nlookup table associated with the representation if a scalar bar\nis being used for `proxy`.\n"},
  {"UpdateScalarBarRange", PyvtkSMColorMapEditorHelper_UpdateScalarBarRange, METH_VARARGS,
   "UpdateScalarBarRange(proxy:vtkSMProxy, view:vtkSMProxy,\n    deleteRange:bool) -> bool\nC++: static bool UpdateScalarBarRange(vtkSMProxy *proxy,\n    vtkSMProxy *view, bool deleteRange)\n\nUpdates the ranges shown in the scalar bar. If deleteRange is\ntrue, then the range stored for current representation proxy is\ndeleted. This should be done when the scalar bar gets separated\nor becomes not visible. If deleteRange is false, then the range\nstored for current representation proxy is updated with the new\nrange value.\n"},
  {"SetScalarColoring", PyvtkSMColorMapEditorHelper_SetScalarColoring, METH_VARARGS,
   "SetScalarColoring(proxy:vtkSMProxy, arrayname:str,\n    attribute_type:int) -> bool\nC++: static bool SetScalarColoring(vtkSMProxy *proxy,\n    const char *arrayname, int attribute_type)\nSetScalarColoring(proxy:vtkSMProxy, arrayname:str,\n    attribute_type:int, component:int) -> bool\nC++: static bool SetScalarColoring(vtkSMProxy *proxy,\n    const char *arrayname, int attribute_type, int component)\n\nEnable/disable scalar coloring using the specified array. This\nwill set up a color and opacity transfer functions using\nvtkSMTransferFunctionProxy instance. If arrayname is nullptr,\nthen scalar coloring is turned off.attribute_type must be one of\nvtkDataObject::AttributeTypes.\n"},
  {"RescaleTransferFunctionToDataRange", PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToDataRange, METH_VARARGS,
   "RescaleTransferFunctionToDataRange(proxy:vtkSMProxy,\n    extend:bool=False, force:bool=True) -> bool\nC++: static bool RescaleTransferFunctionToDataRange(\n    vtkSMProxy *proxy, bool extend=false, bool force=true)\nRescaleTransferFunctionToDataRange(proxy:vtkSMProxy,\n    arrayname:str, attribute_type:int, extend:bool=False,\n    force:bool=True) -> bool\nC++: static bool RescaleTransferFunctionToDataRange(\n    vtkSMProxy *proxy, const char *arrayname, int attribute_type,\n    bool extend=false, bool force=true)\n\nRescales the color transfer function and opacity transfer\nfunction using the current data range. Returns true if rescale\nwas successful. If extend is true (false by default), the\ntransfer function range will only be extended as needed to fit\nthe data range. If force is false (true by default), then the\ntransfer function range is not changed if locked.\n"},
  {"RescaleTransferFunctionToDataRangeOverTime", PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToDataRangeOverTime, METH_VARARGS,
   "RescaleTransferFunctionToDataRangeOverTime(proxy:vtkSMProxy)\n    -> bool\nC++: static bool RescaleTransferFunctionToDataRangeOverTime(\n    vtkSMProxy *proxy)\nRescaleTransferFunctionToDataRangeOverTime(proxy:vtkSMProxy,\n    arrayname:str, attribute_type:int) -> bool\nC++: static bool RescaleTransferFunctionToDataRangeOverTime(\n    vtkSMProxy *proxy, const char *arrayname, int attribute_type)\n\nRescales the color transfer function and opacity transfer\nfunction using the current data range over time. Returns true if\nrescale was successful.\n"},
  {"RescaleTransferFunctionToVisibleRange", PyvtkSMColorMapEditorHelper_RescaleTransferFunctionToVisibleRange, METH_VARARGS,
   "RescaleTransferFunctionToVisibleRange(proxy:vtkSMProxy,\n    view:vtkSMProxy) -> bool\nC++: static bool RescaleTransferFunctionToVisibleRange(\n    vtkSMProxy *proxy, vtkSMProxy *view)\nRescaleTransferFunctionToVisibleRange(proxy:vtkSMProxy,\n    view:vtkSMProxy, arrayname:str, attribute_type:int) -> bool\nC++: static bool RescaleTransferFunctionToVisibleRange(\n    vtkSMProxy *proxy, vtkSMProxy *view, const char *arrayname,\n    int attribute_type)\n\nRescales the color transfer function and the opacity transfer\nfunction using the current data range, limited to the currernt\nvisible elements.\n"},
  {"SetScalarBarVisibility", PyvtkSMColorMapEditorHelper_SetScalarBarVisibility, METH_VARARGS,
   "SetScalarBarVisibility(proxy:vtkSMProxy, view:vtkSMProxy,\n    visible:bool) -> bool\nC++: static bool SetScalarBarVisibility(vtkSMProxy *proxy,\n    vtkSMProxy *view, bool visible)\n\nSet the scalar bar visibility. This will create a new scalar bar\nas needed. Scalar bar is only shown if scalar coloring is indeed\nbeing used.\n"},
  {"HideScalarBarIfNotNeeded", PyvtkSMColorMapEditorHelper_HideScalarBarIfNotNeeded, METH_VARARGS,
   "HideScalarBarIfNotNeeded(repr:vtkSMProxy, view:vtkSMProxy) -> bool\nC++: static bool HideScalarBarIfNotNeeded(vtkSMProxy *repr,\n    vtkSMProxy *view)\n\nWhile SetScalarBarVisibility can be used to hide a scalar bar, it\nwill always simply hide the scalar bar even if its being used by\nsome other representation. Use this method instead to only hide\nthe scalar/color bar if no other visible representation in the\nview is mapping data using the scalar bar.\n"},
  {"IsScalarBarVisible", PyvtkSMColorMapEditorHelper_IsScalarBarVisible, METH_VARARGS,
   "IsScalarBarVisible(repr:vtkSMProxy, view:vtkSMProxy) -> bool\nC++: static bool IsScalarBarVisible(vtkSMProxy *repr,\n    vtkSMProxy *view)\n\nCheck scalar bar visibility.  Return true if the scalar bar for\nthis representation and view is visible, return false otherwise.\n"},
  {"GetArrayInformationForColorArray", PyvtkSMColorMapEditorHelper_GetArrayInformationForColorArray, METH_VARARGS,
   "GetArrayInformationForColorArray(proxy:vtkSMProxy,\n    checkRepresentedData:bool=True) -> vtkPVArrayInformation\nC++: static vtkPVArrayInformation *GetArrayInformationForColorArray(\n    vtkSMProxy *proxy, bool checkRepresentedData=true)\n\nReturns the array information for the data array used for scalar\ncoloring, from input data. If checkRepresentedData is true, it\nwill also check in the represented data. Default is true. If none\nis found, returns nullptr.\n"},
  {"GetDecoratedArrayName", PyvtkSMColorMapEditorHelper_GetDecoratedArrayName, METH_VARARGS,
   "GetDecoratedArrayName(proxy:vtkSMProxy, arrayname:str) -> str\nC++: static std::string GetDecoratedArrayName(vtkSMProxy *proxy,\n    const std::string &arrayname)\n\nIn case of UseSeparateColorMap enabled, this function prefix the\ngiven arrayname with unique identifier, otherwise it acts as a\npassthrough.\n"},
  {"GetProminentValuesInformationForColorArray", PyvtkSMColorMapEditorHelper_GetProminentValuesInformationForColorArray, METH_VARARGS,
   "GetProminentValuesInformationForColorArray(proxy:vtkSMProxy,\n    uncertaintyAllowed:float=1e-6, fraction:float=1e-3,\n    force:bool=False) -> vtkPVProminentValuesInformation\nC++: static vtkPVProminentValuesInformation *GetProminentValuesInformationForColorArray(\n    vtkSMProxy *proxy, double uncertaintyAllowed=1e-6,\n    double fraction=1e-3, bool force=false)\n\nCall vtkSMRepresentationProxy::GetProminentValuesInformation()\nfor the array used for scalar color, if any. Otherwise returns\nnullptr.\n"},
  {"GetEstimatedNumberOfAnnotationsOnScalarBar", PyvtkSMColorMapEditorHelper_GetEstimatedNumberOfAnnotationsOnScalarBar, METH_VARARGS,
   "GetEstimatedNumberOfAnnotationsOnScalarBar(proxy:vtkSMProxy,\n    view:vtkSMProxy) -> int\nC++: static int GetEstimatedNumberOfAnnotationsOnScalarBar(\n    vtkSMProxy *proxy, vtkSMProxy *view)\n\nGet an estimated number of annotation shown on this\nrepresentation scalar bar\n"},
  {"IsScalarBarStickyVisible", PyvtkSMColorMapEditorHelper_IsScalarBarStickyVisible, METH_VARARGS,
   "IsScalarBarStickyVisible(proxy:vtkSMProxy, view:vtkSMProxy) -> int\nC++: static int IsScalarBarStickyVisible(vtkSMProxy *proxy,\n    vtkSMProxy *view)\n\nChecks if the scalar bar of this representation in view is sticky\nvisible, i.e. should be visible whenever this representation is\nalso visible. It returns 1 if the scalar bar is sticky visible, 0\nother wise. If any problem is encountered, for example if view ==\nnullptr, or if the scalar bar representation is not instanciated\n/ found, it returns -1.\n"},
  {nullptr, nullptr, 0, nullptr}
};


static const char *PyvtkSMColorMapEditorHelper_Doc =
  "vtkSMColorMapEditorHelper - helper for color map editor handling\n\n"
  "It provides helper functions for controlling transfer functions,\n"
  "scalar coloring, etc. Scalar bar controlling is still working for\n"
  "RenderView only for now, as it's controlling the widget.\n\n";

static PyObject *
PyvtkSMColorMapEditorHelper_New(PyTypeObject * /*unused*/, PyObject * /*unused*/, PyObject * /*unused*/)
{
  PyErr_SetString(PyExc_TypeError,
                  "this class cannot be instantiated");

  return nullptr;
}

static void PyvtkSMColorMapEditorHelper_Delete(PyObject *self)
{
  PyObject_Del(self);
}

static Py_hash_t PyvtkSMColorMapEditorHelper_Hash(PyObject *self)
{
  return PyObject_HashNotImplemented(self);
}

#ifdef VTK_PYTHON_NEEDS_DEPRECATION_WARNING_SUPPRESSION
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
#endif

static PyTypeObject PyvtkSMColorMapEditorHelper_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkRemotingViews.vtkSMColorMapEditorHelper", // tp_name
  sizeof(PyVTKSpecialObject), // tp_basicsize
  0, // tp_itemsize
  PyvtkSMColorMapEditorHelper_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKSpecialObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  PyvtkSMColorMapEditorHelper_Hash, // tp_hash
  nullptr, // tp_call
  nullptr, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  nullptr, // tp_setattro
  nullptr, // tp_as_buffer
  Py_TPFLAGS_DEFAULT, // tp_flags
  PyvtkSMColorMapEditorHelper_Doc, // tp_doc
  nullptr, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  0, // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  nullptr, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  0, // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyvtkSMColorMapEditorHelper_New, // tp_new
  PyObject_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

#ifndef DECLARED_PyvtkSMColorMapEditorHelper_TypeNew
extern "C" { PyObject *PyvtkSMColorMapEditorHelper_TypeNew(); }
#define DECLARED_PyvtkSMColorMapEditorHelper_TypeNew
#endif

PyObject *PyvtkSMColorMapEditorHelper_TypeNew()
{
  PyTypeObject *pytype = PyVTKSpecialType_Add(
    &PyvtkSMColorMapEditorHelper_Type,
    PyvtkSMColorMapEditorHelper_Methods,
    nullptr,
    nullptr);

  if ((PyType_GetFlags(pytype) & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkSMColorMapEditorHelper(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkSMColorMapEditorHelper_TypeNew();

  if (o && PyDict_SetItemString(dict, "vtkSMColorMapEditorHelper", o) != 0)
  {
    Py_DECREF(o);
  }

}

